# Бележка

За всички задачи:

* Ограниченията по време и памет са написани в страницата "Преглед" на състезателната система.
* Към всяка задача има прикачен архив, който може да изтеглите от състезателната система, съдържащ локалните грейдъри, примерна имплементация, примерите и скриптове за компилиране и пускане.
* Всяка задача има подзадача с индекс 0, която е за 0 точки. Тестовете за тази подзадача са същите като примерите в прикачените архиви.
* Може да правите най-много 50 събмита на всяка задача и трябва да събмитвате точно един файл на един събмит.
* Когато тествате програма с локалния грейдър, вашият вход трябва да отговаря на описания формат и ограничения в съответното условие, иначе може да се получи неопределено поведение на грейдъра. Всеки два последователни тоукъна на един ред са разделени с по един интервал освен ако в условието не е описан друг входен формат.
* Когато тествате програма с локалния грейдър, съветваме да използвате скриптовете от съответния прикачен архив. Имайте предвид, че те използват компилационната опция `-std=gnu++17`.
* Ако не е възможна да събмитвате през CMS, може да използвате инструмента `ioisubmit`, за да запазите вашия код за оценяване след края на състезанието.
  - Пуснете следната команда от директорията, съдържаща `<source_file>`  (файла, който искате да събмитнете):
`ioisubmit <task_shortname> <source_file>`
  - Извикайте техническо лице, което да направи снимка на изхода на командата `ioisubmit`. Вашият събмит няма да бъде разгледан, ако не изпълните тази стъпка.
  - Вашият събмит ще бъде разгледан само ако вашият ръководител направи молба за това.

# Конвенция

Условията на задачите задават сигнатурата на функциите, като използват общите имена на типове `bool`, `int`, `int64`, `int[]` (за масив) и `int[][]` (за масив от масиви).

В C++ трябва да се използват подходящи типове от данни, както следва

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | дължината на масива `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
