# Aviso

Para todos los problemas:

* Los límites de tiempo y memoria están disponibles en la página denominada "Carátula" u "Overview" en el sistema de competencia.
* Hay un archivo adjunto que pueden descargar del sistema de competencia, el cual contiene evaluadores de ejemplo, implementaciones de ejemplo, casos de prueba y scripts para compilar y correr los códigos.
* Cada problema tiene una subtarea con índice 0, la cual vale cero puntos. Los casos de prueba para esta subtarea son los mismos casos de prueba disponibles en el archivo adjunto.
* Puedes hacer hasta un máximo de 50 envíos por cada problema, y debes enviar exactamente un archivo en cada envío.
* Cuando estes probando un programa con el evaluador de ejemplo, tu entrada debe cumplir el formato y los límites establecidos en la descripción del problema, de otra forma, comportamientos extraños podrían ocurrir. Cada dos caracteres consecutivos en una línea están separados por un espacio simple, a no ser que el problema lo especifique de otra forma.
* Cuando pruebes tu código en tu maquina local, recomendamos usar los scripts en los archivos adjuntos. Por favor notar que usamos la opción de compilación `-std=gnu++17`.
* En caso de que no puedas enviar tu código al CMS, puedes usar la herramienta `ioisubmit` para guardar tu código, de modo que sea evaluado luego de la competencia.
	- Corre el siguiente comando desde el directorio que contiene `archivo_a_enviar` - el archivo que deseas enviar:
`ioisubmit <nombre_corto_del_problema> <archivo_a_enviar>`
	- Pídele a un miembro del comité que le tome una foto a la salida del comando `ioisubmit`. Tu envío será rechazado si no sigues este paso.
	- Tu envío solo será considerado si es acompañado de una apelación por parte de tu Líder de Delegación.
	
# Convención

Los enunciados de los problemas especifican tipos de datos genéricos `bool`, `int`, `int64`, `int[]` (arreglo) y `int[][]` (arreglo de arreglos).

En C++, los evaluadores usan tipos de datos apropiados o implementaciones, como se muestra abajo

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | Longitud del arreglo `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |

