# Notice
Pro všechny úlohy:
* Časové a paměťové limity jsou k dispozici na stránce "Overview" v soutěžním systému.
* Ze soutěžního systému si můžete stáhnout balík příloh. Ten obsahuje ukázkové gradery, ukázkové implementace, vzorové vstupy a výstupy a skripy na kompilaci a běh.
* Každá úloha má podúlohu s číslem 0, která je za 0 bodů. Vstupy v této podúloze jsou stejné jako vstupy v přílohách.
* Každou úlohu můžete odevzdat nejvýše $50\times$, a musíte odevzdat právě jeden soubor v každém pokusu.
* Při testování programu s ukázkovým graderem, vámi zadaný vstup musí odpovídat formátu a omezením v zadání, jinak se může stát cokoliv. Každé dva tokeny na řádku jsou odděleny jednou mezerou, pokud není explicitně řečeno jinak.
* Když testujete váš kód na vaší mašině, doporučujeme používat skripty z balíků příloh. Všimněte si, že používáme
`-std=gnu++17`.
* Pokud nemůžete odevzdávat do CMS, můžete použít `ioisubmit` nástroj pro schování vašeho kódu na vyhodnocení po konci soutěže.
	- Spusťte následující příkaz ze složky obsahující `<zdrojový_soubor>` - soubor, které chcete odevzdat:
`ioisubmit <zkratka_úlohy> <zdrojový_soubor>`
  - Zeptejte se člena committee, aby vyfotil výstup `ioisubmit`. Pokud toto neuděláte, váš submit bude zamítnut.
  - Váš pokus bude pouze zvážen pouze s přiloženým odvoláním od vašeho Team Leadera.

# Konvence

Zadání specifikuje pouze generické typy se jmény `bool`, `int`, `int64`, `int[]` (pole), a `int[][]` (pole polí).

V C++, gradery používají odpovídající typy, nebo implementace podle tabulky níže:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
