# Aviso

Para todos los problemas:

* Los límites de tiempo y memoria están disponibles en la página llamada "Overview" del sistema del concurso.
* Hay una carpeta comprimida adjunta que se puede descargar desde el sistema del concurso, que contiene evaluadores de muestra, implementaciones de muestra, ejemplos de casos de prueba, y scripts para compilar y correr el código.
* Cada problema tiene una subtarea con índice 0 cuyo valor es 0 puntos. Los casos de prueba para esta subtarea son los mismos que los casos de prueba de ejemplo, que se encuentran en la carpeta comprimida adjunta.
* Se pueden realizar un máximo de 50 envíos por problema, y se debe enviar exactamente un archivo en cada envío.
* Al momento de probar con el evaluador de muestra, tu entrada debe tener el formato y cumplir con las restricciones especficadas en la redacción del problema, caso contrario puede ocurrir comportamiento indefinido. Cada dos tokens consecutivos en una línea se deben separar por un único espacio, a menos que el problema especifique un formato distinto explícitamente.
* Cuando se pruebe el código en la máquina local, recomendamos usar los scripts de las carpetas adjuntas. Nótese que usamos la opción del compilador `-std=gnu++17`.
* Si no puedes enviar soluciones a la plataforma CMS, puedes usar la herramienta `ioisubmit` para guardar tu código, y ser evaluado luego del final del concurso.
	- Corre el siguiente comando desde la carpeta que contiene  `<archivo_fuente>`  - el archivo que quieras enviar:
`ioisubmit <abreviación_del_problema> <archivo_fuente>`
	- Pide a un miembro del comité que tome foto del output del comando `ioisubmit`. Tu envío será rechazado a menos que este paso sea hecho.
	- Tu envío solamente será considerado si es acompañado por una apelación de tu Líder de Delegación.

# Convenciones

Las redacciones de los problemas especifican funciones que usan nombres de tipos genéricos como `bool`, `int`, `int64`, `int[]` (arreglo), y `int[][]` (arreglo de arreglos).

En C++, los evaluadores usan los tipos de datos o implementaciones que se describen a continuación:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | tamaño del arreglo `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
