# Notas de interés

Para todas las tareas:

* Los límites de tiempo y memoria están disponibles en la página de la carátula ("Overview") del CMS.
* Hay un paquete adjunto que puedes bajar del CMS que contiene los graders de ejemplo, las implementaciones de ejemplo, los juegos de prueba de ejemplo, y scripts para compilar y ejecutar. 
* Cada tarea tiene una subtarea con índice 0 que vale 0 puntos. Los juegos de prueba para esta subtarea son los mismos que se pueden bajar con el adjunto. 
* Puedes enviar hasta 50 envíos para cada tarea, y tienes que enviar exactamente un archivo en cada envío. 
* Cuando pruebes los programas con el grader de ejemplo, tu input debe seguir el formato y los requisitos del enunciado; si no, puede ocurrir un comportamiento no especificado. Cada par de tokens de una línea están separados por un espacio, a no ser que se especifique explícitamente lo contrario.
* Cuando pruebes tu código en tu máquina local, te recomendamos que uses los scripts de los paquetes adjuntos. Fíjate que usamos la opción de compilación  `-std=gnu++17`.
* Si no puedes enviar al CMS, puedes usar la herramienta `ioisubmit` para guardar tu código para evaluación posterior al concurso. 
  - Ejecuta el siguiente comando desde el directorio que contenga tu `<source_file>` - el archivo que se quiere enviar:
`ioisubmit <task_shortname> <source_file>`
  - Pide a un miembro del comité que haga una foto del output de `ioisubmit`. Tu envío será rechazado a no ser que hagas este paso.
  - Tu envío sólo será considerado si está acompañado por una apelación de tu Team Leader.

# Convenciones

Los enunciados de las tareas usan nombres de tipos genéricos  `bool`, `int`, `int64`, `int[]` (array), y `int[][]` (array de arrays).

En C++, los graders usan los tipos de datos apropiados, como muestra la siguiente lista

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | longitud del array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
