# Obavijest

Za sve zadatke:

* Vremenska i memorijska ograničenja dostupna su na stranici "Overview" u sustavu natjecanja.
* Postoji pridružena datoteka koju možete preuzeti sa sustava natjecanja, koja sadrži primjer ocjenjivača, probne implementacije, probne primjere i skripte za prevođenje i pokretanje.
* Svaki zadatak sadrži podzadatak označen rednim brojem nula koji vrijedi nula bodova. Primjeri tog podzadatka isti su kao i probni primjeri u datoteci koju možete preuzeti.
* Možete svoje rješenje poslati najviše 50 puta na svakom zadatku, i tijekom jednog slanja rješenja šaljete točno jednu datoteku.
* Prilikom isprobavanja svog rješenja ocjenjivačem, vaš ulaz mora se poklapati s oblikom i ograničenjima zadanim u tekstu zadatka, inače može doći do neodređenog ponašanja. Svake dvije susjedne čestice u jednom retku moraju biti razdvojene točno jednim razmakom, osim ako je u opisu oblika izravno drugačije navedeno.
* Prilikom isprobavanja svog rješenja na lokalnom stroju, preporučamo korištenje danih skripti. Molimo vas primjetite `-std=gnu++17` prevodilačku mogućnost.
* Ako niste u mogućnosti poslati svoje rješenje na CMS, možete koristiti `ioisubmit` alat kako biste pohranili svoje rješenje za evaluaciju nakon završetka natjecanja. 
	- Pokrenite sljedeću naredbu iz mape koja sadrži `<source_file>` - datoteku koju želite poslati:
`ioisubmit <task_shortname> <source_file>`
	- Zamolite člana odbora da slika izlaz naredbe `ioisubmit`. Vaše slanje biti će odbijeno ukoliko ovo niste učinili.
	- Vaše slanje bit će jedino razmotreno ukoliko je popraćeno žalbom vašeg Vođe Tima.

# Sporazum

U tekstovima zadataka koriste se specifični potpisi ustaljenih imena tipova poput `bool`, `int`, `int64`, `int[]` (niz), i `int[][]` (niz nizova).

U C++-u, ocjenjivači koriste pripadne tipove podataka ili implementacije, popisane ispod.


| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | duljina niza `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
