# Általános megjegyzések

Minden feladatra:

* Az idő- és memóriakorlátok a versenyrendszer "Overview" oldalán érhetők el.
* A versenyrendszerből letölthető egy csatolmány, amely mintaértékelőt, mintamegvalósításokat, példateszteket, valamint fordítási és futtatási szkripteket tartalmaz.
* Minden feladatnak van egy 0 indexű részfeladata, amely 0 pontot ér. Az ehhez a részfeladathoz tartozó tesztesetek megegyeznek a letölthető csatolmányban található minta tesztesetekkel.
* Minden feladathoz legfeljebb 50 beadás lehet, és minden beadáskor pontosan egy fájlt kell feltöltened.
* Amikor a programodat a mintaértékelővel teszteled, akkor a bemenetnek a feladatkiírásban szereplő formátumban kell lennie és teljesíteni kell a korlátokat, ellenkező esetben előre nem meghatározott viselkedések fordulhatnak elő. Egy sorban minden, két egymást követő jelet egyetlen szóköz választ el egymástól, kivéve, ha kifejezetten más formátum van megadva.
* Ha a programodat a helyi gépen teszteled, a csatolt csomagokban található szkripteket használd. Kérjük, vedd figyelembe, hogy a `-std=gnu++17` fordítói opciót használjuk.
* Ha nem tudod beküldeni a kódod a CMS-be, használhatod az `ioisubmit` parancsot, hogy a kódodat a verseny vége utáni kiértékelésre tárold.
  - Futtasd a következő parancsot a `<source_file>` (a beküldendő fájlt tartalmazó) könyvtárból:
`ioisubmit <feladat_rövidneve> <forrás_fájl>` 
  - Kérj meg egy bizottsági tagot, hogy készítsen egy képet az `ioisubmit` kimenetéről. A beadásodat elutasítják, ha ezt a lépést nem végezted el.
  - A beadásodat csak akkor vesszük figyelembe, ha a csapatvezetőd fellebbezését is csatolod.

# Megállapodások

A feladatleírások a  `bool`, `int`, `int64`, `int[]` (tömb) és `int[][]` (tömbök tömbje) általános típusneveket használják.

C++-ban az értékelők az alábbi  adattípusokat vagy implementációkat használják:


| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | az `a` tömb hossza |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
