# 注意

全ての問題について:

* 実行時間制限とメモリ制限はコンテストシステムの "Overview"  ページから⾒ることができる．
* 採点プログラムのサンプル，実⾏プログラムのサンプル，⼊出⼒例，コンパイルと実⾏のためのスクリプトを含む添付パッケージをコンテストシステムからダウンロードすることができる．
* 各課題には点数の無い小課題 $0$ が存在する．この小課題のテストケースは添付パッケージに含まれている⼊出⼒例と同じものである．
* あなたは各課題について，$50$ 回まで提出することができる．また，それぞれの提出において，ちょうど $1$ つのファイルを提出しなければならない．
* 採点プログラムのサンプルを用いてプログラムを実行するとき，⼊⼒は問題⽂で⽰されたフォーマットと制約を満たさなければならない．そうでない場合，予期せぬ挙動をするかもしれない．入力は，特別な指⽰がない限り，各列の連続する $2$ つのトークンを $1$ つの半⾓スペースによって区切ること．
* ⼿元のコンピュータであなたの書いたプログラムを試すとき，添付パッケージに含まれるスクリプトを⽤いることを推奨する．コンパイルオプション `-std=gnu++17` を使⽤していることに注意すること．
* もし CMS に提出できなくなった場合，`ioisubmit` コマンドを⽤いてあなたのコードを記録することができる．記録されたコードはコンテスト終了後に評価される．
  - 提出したいファイルの名前を `<source_file>` としたとき，`<source_file>` があるディレクトリで `ioisubmit <task_shortname> <source_file>` というコマンドを実⾏すること．
  - 委員会のメンバーに，`ioisubmit` の出⼒の写真を撮るよう頼むこと．これが⾏われなかった場合，あなたの提出は考慮されない．
  - あなたのチームリーダーはアピールを提出すること．これが⾏われなかった場合，あなたの提出は考慮されない．

# 約束事

問題⽂では，`bool`，`int`，`int64`，`int[]`（配列），`int[][]`（配列の配列）といった一般的な形式で型を表す．

C++ では，採点プログラムは以下のような適切な型や実装を⽤いる．

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | 配列 `a` の長さ |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
