# Notice

Für alle Aufgaben:

* Zeit- und Speicherlimiten sind auf der "Übersicht"-Seite im Contestsystem verfügbar.
* Es gibt einen Anhang, den du auf dem Contestsystem herunterladen kannst, und der Beispielgrader, Beispielimplementierungen, Beispieltestfälle, sowie compile- und run-Skripte enthält.
* Jede Aufgabe hat eine Teilaufgabe mit Index 0, welche 0 Punkte gibt. Die Testfälle in dieser Teilaufgabe sind die gleichen wie in den Beispieltestfällen im Anhang.
* Du kannst bei jeder Aufgabe bis zu 50 Einsendungen machen, und du musst in jeder Einsendung genau eine Datei einsenden.
* Wenn du ein Programm mit Hilfe des Beispielgraders testest, sollte die Eingabe dem Format und den Einschränkungen in der Aufgabenstellung entsprechen, ansonsten kann undefiniertes Verhalten auftreten. Zwei aufeinanderfolgende Zeichenfolgen in einer Zeile sind jeweils durch ein einziges Leerzeichen getrennt, wenn nicht explizit ein anderes Format angegeben ist.
* Wenn du deinen Code auf deiner lokalen Maschine testest, empfehlen wir dir, die Skripts im Anhang zu verwenden. Beachte, dass wir die `-std=gnu++17` Compileroption verwenden.
* Falls du nicht auf dem CMS einsenden kannst, dann kannst du das `ioisubmit` Tool verwenden, um deinen Code zu speichern, zur Auswertung nach dem Ende des Wettbewerbs.
  - Führe folgenden Befehl im Ordner, der `<source_file>` enthält, aus – die Datei, welche du einsenden möchtest: `ioisubmit <task_shortname> <source_file>`
  - Bitte ein Mitglied des Komitees, ein Foto der Ausgabe von `ioisubmit` zu machen. Deine Einsendung wird abgelehnt, wenn dieser Schritt nicht gemacht wurde.
  - Deine Einsendung wird nur beachtet, wenn sie von einem Appeal von deinem Teamleiter begleitet ist.

# Konvention

Die Aufgabenbeschreibungen definieren Signaturen durch generische Typen wie `bool`, `int`, `int64`, `int[]` (Liste), und `int[][]` (Liste von Listen).

In C++ verwenden die Grader die passenden Datentypen oder Implementierungen, wie unten angegeben

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | Länge der Liste `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |