# Notice

Pentru toate problemele:

* Limitele de timp și memorie sunt descrise în pagina  "Overview" a sistemului competiției.
* Aveți la dispoziție un set de atașamente pe care le puteți descărca din sistemul competiției. Setul conține exemple de gradere, exemple de implementare, exemple de teste, scripturi de compilare și rulare.
* Fiecare problemă conține un subtask cu indicele 0, care valorează 0 puncte. Testele acestui subtask sunt identice testelor din atașamentul pe care îl puteți descărca.
* Putețe efectua până la 50 submisii pentru fiecare problemă, și puteți submita exact un fișier la fiecare submisie.
* La testarea programului cu  graderul local, input-ul trebuie să corespundă exact formatului și restricțiilor din enunț, în caz contrar pot să apară comportamente nespecificate ale sistemului. Fiecare două token-uri consecutive pe o linie sunt separate printr-un singur spațiu, cu excepția cazului în care este specificat în mod explicit un alt format.
* La testarea codului pe calculatorul local, se recomandă să folosiți scripturile din atașamentele descărcate. Vă rugăm să rețineți, că este folosită opțiunea de compilare  `-std=gnu++17` .
* Dacă nu este posibil se efectuați submisia către CMS, puteți folosi utilitara `ioisubmit` pentru a vă păstra codul pentru evaluare după finalizarea competiției.
  - Rulați următoarea comandă din directorul, care conține `<fișierul_sursă>` - fișierul, pe care doriți să îl submitați:
`ioisubmit <numescurt_problemă> <fișierul_sursă>`
  - Rugați un membru al comitetului să ia o imagine a output-ului  `ioisubmit`. Submisia va fi respinsă dacă nu va fi efectuat acest pas.
  - Submisia  va fi luată în considerare numai dacă este însoțită de o contestație din partea liderului dvs. de echipă.

# Convenții

Enunțurile problemelor descriu signaturi folosind  nume de tipuri generice `bool`, `int`, `int64`, `int[]` (array), și `int[][]` (array of arrays).

În C++, graderele folosesc tipuri de date adecvate sau implementări, după cum se listează mai jos

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
