# Aviso

Para todos los problemas:

* Los límites de tiempo y memoria están disponibles en la sección "Carátula" ("Overview") del sistema del concurso.
* Hay un archivo adjunto que se puede descargar del sistema del concurso y que contiene los evaluadores de ejemplo, las implementaciones de muestra, los casos de prueba de ejemplo y los scripts de compilación y ejecución.
* Cada problema tiene una subtarea con índice 0 que vale 0 puntos. Los casos de prueba para esta subtarea son los mismos que los casos de prueba de muestra en el archivo adjunto descargable.
* Puedes realizar hasta 50 envíos para cada problema. Debes enviar un solo archivo en cada envío.
* Al probar un programa con el evaluador de ejemplo, tu entrada debe coincidir con el formato y las restricciones de la descripción del problema; de lo contrario, pueden ocurrir comportamientos no especificados. Cada dos tokens consecutivos en una línea están separados por un solo espacio, a menos que se especifique explícitamente otro formato.
* Cuando pruebes tu código localmente en tu computadora, te recomendamos que utilices los scripts de los archivos adjuntos. Toma en cuenta que utilizamos la opción de compilación `-std=gnu++17`.
* Si no puedes enviar a CMS, puedes usar la herramienta `ioisubmit` para almacenar tu código para su evaluación después del final del concurso.
  - Ejecuta el siguiente comando desde el directorio que contiene `<archivo_de_origen>`, el archivo que deseas enviar: `ioisubmit <nombre_corto_del_problema> <archivo_de_origen>`
  - Pidele a un miembro del comité que tome una fotografía del resultado de `ioisubmit`. Tu envío será rechazado a menos que hayas realizado este paso.
  - Tu envío solo será considerado si va acompañado de una apelación de tu líder de equipo.

# Definiciones

Las descripciones de los problemas especifican firmas utilizando nombres de tipos genéricos. `bool`, `int`, `int64`, `int[]` (arreglo), y `int[][]` (arreglo de arreglos).

En C++, los evaluadores utilizan tipos de datos o implementaciones adecuadas, como se muestran a continuación.

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | tamaño del arreglo `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
