# Notice

Za sve zadatke:

* Vremenska i memorijska ograničenja dostupna su na stranici "Overview" CMS-a.
* Svaki zadatak ima zakačen paket koji je dostupan u CMS-u, koji sadrži  sempl grejdere, sempl implementacije, primjere test podataka i skripte za kompajliranje i pokretanje.
* Svaki zadatak ima podzadatak sa indeksom 0 koji vrijedi 0 bodova. Test podaci za ovaj podzadatak isti su kao primjeri test podataka u attachmentu.
* Možete poslati do 50 submissiona za svaki zadatak i morate poslati tačno jednu datoteku za
svaki submission.
* Prilikom testiranja programa pomoću sample gradera, vaš unos bi trebao odgovarati formatu i ograničenjima iz postavke zadatka, inače može doći do neočekivanog ponašanja. Svaka dva uzastopna tokena na liniji su odvojena jednim razmakom, osim ako drugi format nije eksplicitno naveden.
* Prilikom testiranja koda na lokalnoj mašini preporučujemo da koristite skripte za kompajliranje i pokretanje koje se nalaze u attachmentu. Obratite pažnju da za kompajliranje koristimo `-std=gnu++17` opciju.
* Ukoliko niste u mogućnosti da pošaljete submission na CMS, možete da koristite `ioisubmit` alat da sačuvate vaš kod kako bi bio evaluiran nakon završetka takmičenja.
  - Pokrenite sljedeću komandu u folderu koji sadrži `<source_file>` - fajl koji želite da submitujete: `ioisubmit <task_shortname> <source_file>`
  - Tražite od člana organizacionog tima da dođe do vas kako bi slikao izlaz naredbe `ioisubmit`. Submition neće biti ocijenjen ukoliko ne sprovedete ovaj korak.
  - Submission će biti razmatran samo uz žalbu team lidera.
	
# Konvencije
Tekstovi zadataka specificiraju definicije funkcija sa opštim tipovima podataka: `bool`, `integer`,
`int64` i `int[] `(niz) i `int[][]` (niz nizova).

U C++,  grejderi koriste odgovarajuće tipove podataka kao što je prikazano u sljedećoj tabeli:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
