# Avisos

 Para todas las tareas:

* Los límites de tiempo y memoria están disponibles en la página "Overview" del sistema de evaluación.
* Hay un comprimido adjunto que usted puede descargar desde el sistema de evaluación que contiene evaluadores locales, implementaciones de ejemplo, casos de prueba de ejemplo y archivos de compilación y ejecución.
* Cada problema tiene una subtarea con índice 0 que vale 0 puntos. Los casos de prueba para esta subtarea son los mismos que los casos de prueba de ejemplo en el archivo adjunto descargable.
* Puede realizar hasta 50 envíos por cada problema y debe enviar exactamente un archivo en cada envío.
* Al probar su programa con el evaluador local, su entrada debe coincidir con el formato y las restricciones del enunciado del problema; de lo contrario, pueden ocurrir comportamientos no especificados. Cada dos tokens consecutivos en una línea están separados por un solo espacio, a menos que se especifique explícitamente lo contrario.
* Cuando pruebe su código en su máquina local, le recomendamos que utilice los archivos de los paquetes adjuntos. Tenga en cuenta que utilizamos la opción del compilador `-std=gnu++17`.
* Si no puede enviar a CMS, puede utilizar la herramienta `ioisubmit` para almacenar su código y evaluarlo una vez finalizado el concurso.
   - Ejecute el siguiente comando desde el directorio que contiene su `<archivo_fuente>`, el archivo que desea enviar:
`ioisubmit <nombre_corto_del_problema> <archivo_fuente>`
   - **Importante:** Pídele a un miembro del comité que tome una fotografía del resultado de `ioisubmit`. Su envío será rechazado a menos que se haya realizado este paso.
   - Su envío sólo será considerado si va acompañado de una apelación de su líder de delegación.







# Convenciones

Los enunciados especifican las signaturas utilizando nombres genericos para los tipos `bool`, `int`, `int64`, `int[]` (arreglo), and `int[][]` (arreglo de arreglos).

En C++, los evaluadores utilizan tipos de datos o implementaciones apropiadas, que se mencionan a continuación

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | longitud del arreglo `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |

