# Uwagi ogólne

We wszystkich zadaniach:

* Limity czasu i pamięci dostępne są na stronie "Overview" systemu sprawdzającego.
* Na stronie systemu sprawdzającego znajduje się załącznik do pobrania, który zawiera przykładowe programy sprawdzające, przykładowe implementacje, przykładowe dane testowe oraz skrypty do kompilacji i uruchamiania rozwiązań.
* Każde zadanie ma podzadanie 0 warte 0 punktów. Testy w tym podzadaniu są takie same jak przykładowe testy w załączniku do pobrania.
* Możesz wysłać co najwyżej 50 zgłoszeń do każdego zadania. W każdym zgłoszeniu należy wysłać dokładnie jeden plik.
* Kiedy testujesz program przy użyciu przykładowego programu sprawdzającego, pamiętaj by wprowadzane przez Ciebie dane wejściowe respektowały format i ograniczenia podane w treści zadania. W przeciwnym razie zachowanie programu sprawdzającego jest niezdefiniowane. Każde dwa tokeny w jednym wierszu należy oddzielić pojedynczym odstępem (o ile inny format nie został wyraźnie określony).
* Kiedy testujesz program na swoim komputerze polecamy użyć skryptów z załącznika do pobrania. Zwróć uwagę, że używamy opcji kompilatora `-std=gnu++17`.
* Jeśli nie możesz zgłosić rozwiązania przez CMS, możesz użyć narzędzia `ioisubmit`, aby zapisać swoje rozwiązanie do oceny po zakończeniu zawodów.
  - Uruchom nastepujące polecenie w katalogu zawierającym `<plik>` - plik z rozwiązaniem, które chcesz zgłosić:
`ioisubmit <krótka_nazwa_zadania> <plik>`
  - Poproś członka komitetu o zrobienie zdjęcia wyniku działania `ioisubmit`. Twoje zgłoszenie nie zostanie przyjęte, jeśli nie zostanie wykonany ten krok.
  - Twoje zgłoszenie zostanie wzięte pod uwagę jedynie wtedy, gdy Twój Team Leader zgłosi zażalenie (appeal).

# Konwencja
Treści zadań używają generycznych nazw typów `bool`, `int`, `int64`, `int[]` (tablica) i `int[][]` (tablica dwuwymiarowa).

W C++ programy sprawdzające używają następujących typów lub implementacji:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | długość tablicy `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
