# Înștiințare

Pentru toate problemele:

* Limitele de timp și de memorie sunt disponibile în pagina "Overview" din sistemul de concurs.
* Există un pachet de atașamente pe care îl puteți descărca de pe sistemul de concurs, care conține exemple de gradere, de implementări, de cazuri de test, și de scripturi de compilare și rulare. 
* Fiecare problemă are o subproblemă cu indicele 0 care valorează 0 puncte. Aceasta subproblemă are aceleași cazuri de test ca exemplele de cazuri de test din atașamentul descărcabil.
* Puteți să faceți cel mult 50 de submisii pentru fiecare problemă, și trebuie să submitați exact un fișier în fiecare submisie.
* Când testați un program cu exemplul de grader, datele voastre de intrare ar trebui să se conformeze cu formatul și constrângerile din enunțul problemei, altfel, comportamente nespecificate se pot întâmpla. Fiecare două token-uri pe o linie sunt separate de un spațiu, decât dacă un alt format este specificat explicit.
* Când vă testați codul pe mașina voastră locală, recomandăm să folosim scripturile din pachetele atașate. Observați că noi folosim opțiunea de compilator `-std=gnu++17`.
* Dacă nu puteți să submitați la CMS, puteți folosi unealta `ioisubmit` pentru a vă stoca codul pentru evaluare după finalul concursului.
  - Rulați următoarea comandă din directorul care conține `<source_file>`, adică fișierul pe care vreți să îl submitați:
`ioisubmit <task_shortname> <source_file>`
  - Rugați un membru de comisie să facă o poză la datele de ieșire ale `ioisubmit`. Dacă nu respectați acest pas, submisia voastră va fi respinsă.
  - Submisia voastră va fi luată în considerare doar dacă va fi însoțită de o contestație de la liderul echipei voastre.

# Convenție
Enunțurile problemelor specifică semnăturile cu numele de tipuri generice `bool`, `int`, `int64`, `int[]` (șir) și `int[][]` (șir de șiruri).

În C++, graderele folosesc tipuri de date adecvate ca implementări, după cum e listat mai jos.

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
