# Објава

За све задатке:

* Временска и меморијска ограничења доступна су на страници "Overview" CMS-а.
* Сваки задатак има закачен пакет који је доступан у CMS-у, који садржи узорак грејдера, узорак имплементације, примере тест података и скрипте за компајлирање (превођење) и покретање.
* Сваки задатак има подзадатак са индексом 0 који вреди 0 бодова. Тест подаци за овај подзадатак исти су као примери тест података у закачки.
* Можете направити 50 слања решења за сваки од задатака и морате послати тачно једну датотеку у сваком од слања.
* Приликом тестирања програма помоћу узорка грејдера, ваш унос би требао да одговара формату и ограничењима из поставке задатка, иначе може доћи до неочекиваног понашања. Свака два узастопна токена на линији су одвојена једним размаком, осим ако други формат није експлицитно наведен.
* Приликом тестирања кода на локалној машини препоручује се да користите скрипте за компајлирање (превођење) и покретање које се налазе у закачки. Обратите пажњу да за компајлирање (превођење) користимо `-std=gnu++17` опцију.
* Уколико нисте у могућности да извршите слање решења кроз CMS, можете да користите `ioisubmit` алат да сачувате ваш код како би био вреднован након завршетка такмичења.
  - Покрените следећу наредбу у директоријуму који садржи `<source_file>` - датотеку који желите да пошаљете: `ioisubmit <task_shortname> <source_file>`
  - Тражите од члана организационог тима да дође до вас како би сликао излаз наредбе `ioisubmit`. Ваше решење неће бити оцњено уколико не спроведете овај корак.
  - Решење ће бити разматрано само уз жалбу вође екипе.

# Конвенције

Текстови задатака специфицирају дефиниције функција са општим типовима података: `bool`, `integer`,
`int64` и `int[] `(низ) и `int[][]` (низ низова).

У C++, грејдери користе одговарајуће типове података као што је приказано у следећој табели:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | дужина низа `a` |
| ------------------------------- | --------------- |
| `std::vector<std::vector<int>>` | `a.size()`      |
