# Nieľad (Notice)

Pre všetky úlohy:

* Časové a pamäťové limity sú uvedené v odovzdávacom systéme v záložke "Overview".
* V odovzdávacom systéme sa nachádza balíček obsahujúci vzorové testovače, vzorové implementácie, vzorové testovacie príklady, ako aj skripty na kompiláciu a spustenie.
* Každá úloha obsahuje podúlohu 0 hodnotenú 0 bodmi. Testovacie údaje v nej sú rovnaké ako vzorové testovacie príklady z balíčka z odovdzávacieho systému 
* Maximálny počet submitov je 50 pre každú úlohu. V každom submite odovzdávate práve jeden súbor.
* V prípade testovania vášho programu ukážkovým testovačom, vás vstup by mal dodržiavať formát a ohraničenia zo zadania. V opačnom prípade je chovanie testovača nedefinované. V prípade, že na jednom riadku sa nachádza viacero údajov, sú oddelené práve jednou medzerou (pokiaľ nie je v zadaní uvedené ináč).
* Pri testovaní vášho programu na lokálnom počítači odporúčame používať pripravené skripty z priloženého balíčka. Upozorňujeme na použiie prepínača kompiláttora `-std=gnu++17`.
* V prípade, že nie je možné použiť odovzdávací systém, môže použiť príkaz `ioisubmit` na uloženie vásho kódu na otestovanie po skončení súťaže
  - spustite z adresára, v ktorom sa nachádza súbor `<zdrojovy_subor>` , ktorý chcete odovzdať, príkaz
`ioisubmit <skrateny_nazov_ulohy> <zdrojovy_subor>`
  - po spravení všetkých submitov zdvihnutím červenej tabuľky požiadajte dozor o odfotenie výstupu príkazu `ioisubmit`. Ak toto nespravíte, bude vaše odovzdanie zamietnuté.
  - informujte po súťaži vedúceho delegácie, že má podať appeal, aby sa vaše takto odovzdané kódy otestovali

# Konvencia

Zadanie úlohy používa štandardné typy `bool`, `int`, `int64`, `int[]` (pole), and `int[][]` (pole polí).

V jazyku C++ testovače používajú príslušné implementácie:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | dĺžka poľa `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
