# Obvestilo

Za vse naloge:

* Časovne in pomnilniške omejitve so na voljo na strani "Pregled" v tekmovalnem sistemu.
* Obstaja priponka, ki jo lahko prenesete iz tekmovalnega sistema, in vsebuje vzorčne ocenjevalnike, vzorčne implementacije, vzorčne testne primere ter skripte za prevajanje in zagon.
* Vsaka naloga ima podnalogo z zaporedno številko 0, ki je vredna 0 točk. Testni primeri za to podnalogo so enaki kot vzorčni testni primeri v priloženem paketu.
* Za vsako nalogo lahko oddate do 50 rešitev in pri vsaki oddaji morate oddati natanko eno datoteko.
* Pri testiranju programa z vzorčnim ocenjevalnikom mora vaš vhod ustrezati obliki in omejitvam iz naloge, sicer se lahko pojavijo nedoločena obnašanja. Vsaka dva zaporedna žetona v vrstici sta ločena z enim samim presledkom, razen če je izrecno določen drugačen format.
* Ko preizkušate svojo kodo na svojem lokalnem računalniku, vam priporočamo uporabo skripta iz priloženih paketov. Upoštevajte, da uporabljamo možnost prevajalnika `-std=gnu++17`.
* Če ne morete oddati v CMS, lahko uporabite orodje `ioisubmit`, da shranite svojo kodo za ocenjevanje po koncu tekmovanja.
  - Zaženite naslednji ukaz iz mape, ki vsebuje `<source_file>` - datoteko, ki jo želite oddati:
`ioisubmit <task_shortname> <source_file>`
  - Prosite člana odbora, naj posname sliko izhoda `ioisubmit`. Vaša prijava bo zavrnjena, če ta korak ni bil opravljen.
  - Vaša prijava bo obravnavana le, če jo spremlja pritožba vašega vodje ekipe.


# Dogovor

Naloge določajo podpise z uporabo generičnih imen tipov `bool`, `int`, `int64`, `int[]` (polje) in `int[][]` (polje polj oz. matrika).

V C++ ocenjevalniki uporabljajo ustrezne podatkovne tipe ali implementacije, kot je navedeno spodaj.

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | dolžina matrike `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |


