# ประกาศ
สำหรับโจทย์ปัญหาแต่ละข้อ:
* ข้อจํากัดจะแสดงอยู่ในหน้า "Overview" ของระบบการแข่งขัน 
* ชุดไฟล์แนบที่สามารถดาวน์โหลดได้จากระบบการแข่งขัน ประกอบด้วยเกรดเดอร์ตัวอย่าง ตัวอย่างการเขียนโปรแกรม ชุดทดสอบตัวอย่าง และสคริปต์สำหรับคอมไพล์และรันโปรแกรม 
* โจทย์ปัญหาแต่ละข้อ มีปัญหาย่อยหมายเลข 0 ที่มีค่า 0 คะแนน ชุดทดสอบในปัญหาย่อยนี้จะเหมือนกับชุดทดสอบตัวอย่างในส่วนไฟล์แนบที่สามารถดาวน์โหลดได้
* แต่ละข้อสามารถส่งได้ไม่เกิน 50 ครั้งและในการส่ง (submission) ในแต่ละครั้งต้องส่งหนึ่งไฟล์เท่านั้น 
* เมื่อทดสอบโปรแกรมของนักเรียนด้วยเกรดเดอร์ตัวอย่าง ข้อมูลที่ป้อนควรเข้ากันกับรูปแบบและข้อจํากัดจากคําสั่ง มิฉะนั้นอาจเกิดพฤติกรรมที่ไม่พึงประสงค์ ข้อมูลที่ติดกันจะถูกคั่นด้วยช่องว่าง (space) 1 ช่อง ยกเว้นกรณีที่โจทย์นั้นระบุรูปแบบเฉพาะที่ต่างออกไป
* เมื่อนักเรียนทดสอบโค้ดบนเครื่องของนักเรียน ขอแนะนําให้นักเรียนใช้สคริปต์ในชุดไฟล์แนบ โปรดทราบว่าขอให้ใช้อ็อปชันคอมไพเลอร์ `-std=gnu++17` 
* หากเกิดเหตุที่ทําให้นักเรียนไม่สามารถ submit ที่ CMS ได้ นักเรียนสามารถใช้เครื่องมือ `ioisubmit` เพื่อส่งโค้ดของนักเรียน เข้าไปยังที่จัดเก็บ เพื่อรอการตรวจให้คะแนนหลังจบการแข่งขัน
	- การรันคำสั่ง ให้นักเรียนรันจากไดเรกทอรีที่มีไฟล์ที่ต้องการส่ง ในรูปแบบคำสั่งดังนี้: 
`ioisubmit <ชื่อโจทย์ปัญหา(task_shortname)> <ชื่อไฟล์ที่ต้องการส่ง>`
	- แจ้งให้ผู้คุมสอบถ่ายภาพผลลัพธ์ของ `ioisubmit` หากไม่ปฏิบัติตามขั้นตอนนี้จะไม่ตรวจให้ 
	- การส่งของนักเรียนจะได้รับการพิจารณาก็ต่อเมื่อมีการอุทธรณ์จากหัวหน้าทีม
 
# ข้อตกลง 
ในโจทย์แต่ละข้อจะกําหนดชนิดของข้อมูลเป็น `bool`, `int`, `int64`, `int[]` (อาร์เรย์), และ `int[][]` (อาร์เรย์ 2 มิติ) 

การเขียนโปรแกรมภาษา C++ ตัวเกรดเดอร์กําหนดให้ใช้ชนิดข้อมูล ตามรูปแบบต่อไปนี้


| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
