# 注意事項 (Notice)

對所有任務：

* 各題的時間以及記憶體限制可於競賽系統的 "Overview" 頁面查詢。
* 你可以從競賽系統下載一個附加檔案包，此附加檔案包包含範例評分程式、範例實作、範例測資以及編譯執行腳本。
* 每個題目皆有一個編號為 0 的 0 分子任務。此子任務的測資與下載的附加檔案包中之範例測資相同。
* 對於每一個題目，你至多可以送審 50 次，每一次送審必須恰好上傳一個檔案。
* 當你用範例評分程式測試你的程式時，你的輸入必須符合題目敘述的格式與限制，否則可能發生非預期的狀況。同一行兩個相鄰的 tokens 是以一個空白分隔，除非另有明確的格式規範。
* 當你在本機測試你的程式時，我們建議你使用附加檔案包中的編譯腳本。請注意我們使用的編譯選項為 `-std=gnu++17`。
* 若你無法傳送至 CMS，你可以使用 `ioisubmit` 工具來儲存你的程式碼，留至競賽結束後評測。
  - 於 `<source_file>` (你想繳交的檔案) 所在目錄執行下述命令： 
   - `ioisubmit <task_shortname> <source_file>`。
  - 請一位主辦單位的人員幫你的 `ioisubmit` 結果拍照。若沒有進行此步驟，你的繳交將會被拒絕。
  - 你的隊長 (Team Leader) 必須一併提出申訴，你的繳交才會被納入考量。


# 常規 (Convention)

題目敘述中定義原型時所使用的資料類別名稱為 `bool`,  `int`, `int64`, `int[]` (array), 以及 `int[][]` (array of arrays)。

在 C++ 中，評分程式使用適合的資料類別或實作，如下所示：

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
